For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get service shipments for a service order

Get service shipment for a service order

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/serviceorders/shipments/items/{serviceOrderUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceOrderUidstringRequired

Reference to a service order

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
Responses
200

Example response

application/json
get/tenants/{tenantUid}/serviceorders/shipments/items/{serviceOrderUid}
GET /v2/tenants/{tenantUid}/serviceorders/shipments/items/{serviceOrderUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "serviceShipmentUid": "text",
      "sender": {
        "storeUid": "text"
      },
      "receiver": {
        "storeUid": "text",
        "externalWorkshopUid": "text"
      },
      "status": "NOT_SENT",
      "note": "text",
      "trackingNumber": "text",
      "shipmentNumber": "text",
      "items": [
        {
          "serviceOrderUid": "text",
          "receivedDate": "2026-01-01T00:00:00.000Z",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text"
        }
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "shipmentDate": "2026-01-01T00:00:00.000Z",
      "allReceived": true
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?